Bug 599165 - gv is vulnerable to CVE-2010-2055 an CVE-2010-2056
Summary: gv is vulnerable to CVE-2010-2055 an CVE-2010-2056
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gv   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
urgent
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CVE-2010-2056
TreeView+ depends on / blocked
 
Reported: 2010-06-02 18:51 UTC by M. Steinborn
Modified: 2010-07-09 06:01 UTC (History)
3 users (show)

Fixed In Version: gv-3.7.1-1.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 18:12:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description M. Steinborn 2010-06-02 18:51:39 UTC
All versions of GNU gv up to and including GNU gv 3.6.90 are affected, i. e. all Fedora products and the epel repository of RHEL.

See:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=583316

http://lists.gnu.org/archive/html/bug-gv/  ( Mai and June 2010 )


https://bugzilla.novell.com/show_bug.cgi?id=608071

(mainly for ghostscript, but you can start a vulnerable ghostscript in a safe way)


Forthermore GNU gv is vulnerable to CVE-2010-2056 up to version 3.6.8 (using linux) and up to 3.6.90 (on systems where mkstemp is eitehr mot available or broken; mostly non-GNU/Linux systems). So Fedora 12 is affected of this bug, too

see

https://savannah.gnu.org/bugs/?30037

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=583668



In git master the issue is already fixed. Expect a version 3.6.91 very very soon on alpha.gnu.org. No final release because of:

* Limited testing time; but we believe it's stable.

* Translations are missing  (No problem, older versions haven't them either)

* Tests on non-Linux systems are missing (irrelevant for Fedora)



Greetings

Markus Steinborn
GNU gv mintainer

Comment 1 M. Steinborn 2010-06-03 06:55:22 UTC
I've released the new version of GNU gv as announced above.

Comment 2 Fedora Update System 2010-06-03 18:18:45 UTC
gv-3.6.91-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gv-3.6.91-1.fc11

Comment 3 Fedora Update System 2010-06-03 18:18:59 UTC
gv-3.6.91-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/gv-3.6.91-1.el5

Comment 4 Fedora Update System 2010-06-03 18:19:12 UTC
gv-3.6.91-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gv-3.6.91-1.fc13

Comment 5 Fedora Update System 2010-06-03 18:19:25 UTC
gv-3.6.91-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gv-3.6.91-1.fc12

Comment 6 Fedora Update System 2010-06-03 18:19:41 UTC
gv-3.6.91-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/gv-3.6.91-1.el4

Comment 7 Fedora Update System 2010-06-04 18:48:32 UTC
gv-3.6.91-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gv-3.6.91-1.fc11

Comment 8 Fedora Update System 2010-06-04 18:49:13 UTC
gv-3.6.91-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gv-3.6.91-1.fc13

Comment 9 Fedora Update System 2010-06-04 18:58:45 UTC
gv-3.6.91-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gv-3.6.91-1.fc12

Comment 10 Fedora Update System 2010-06-09 15:49:56 UTC
gv-3.6.91-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gv-3.6.91-1.el4

Comment 11 Fedora Update System 2010-06-09 15:50:11 UTC
gv-3.6.91-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gv-3.6.91-1.el5

Comment 12 Fedora Update System 2010-06-30 17:12:42 UTC
gv-3.7.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/gv-3.7.1-1.el5

Comment 13 Fedora Update System 2010-06-30 17:13:11 UTC
gv-3.7.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gv-3.7.1-1.fc12

Comment 14 Fedora Update System 2010-06-30 17:13:34 UTC
gv-3.7.1-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/gv-3.7.1-1.el4

Comment 15 Fedora Update System 2010-06-30 17:13:56 UTC
gv-3.7.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gv-3.7.1-1.fc13

Comment 16 Fedora Update System 2010-07-01 18:51:11 UTC
gv-3.7.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gv-3.7.1-1.fc13

Comment 17 Fedora Update System 2010-07-01 18:57:57 UTC
gv-3.7.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gv-3.7.1-1.fc12

Comment 18 Fedora Update System 2010-07-02 19:24:52 UTC
gv-3.7.1-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gv-3.7.1-1.el4

Comment 19 Fedora Update System 2010-07-02 19:25:37 UTC
gv-3.7.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gv'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gv-3.7.1-1.el5

Comment 20 Fedora Update System 2010-07-08 18:12:03 UTC
gv-3.7.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-07-08 18:25:18 UTC
gv-3.7.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-07-09 05:58:24 UTC
gv-3.7.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2010-07-09 06:00:49 UTC
gv-3.7.1-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.